## org.eclipse.datatools.modelbase.sql.constraints
Interface Constraint

All Superinterfaces:
  SQLObject

All Known Subinterfaces:
  Assertion, CheckConstraint, ForeignKey, PrimaryKey, ReferenceConstraint, TableConstraint, UniqueConstraint

All Known Implementing Classes:
  AssertionImpl, CheckConstraintImpl, ConstraintImpl, ForeignKeyImpl, JDBCForeignKey, JDBCPrimaryKey, JDBCUniqueConstraint, PrimaryKeyImpl, ReferenceConstraintImpl, TableConstraintImpl, UniqueConstraintImpl

    public interface Constraint

extends SQLObject

A representation of the model object 'Constraint'. Reference: 5WD-02-Foundation-2002-12 4.17 Integrity constraints

The following features are supported:

- `Deferrable`
- `Initially Deferred`
- `Enforced`

See Also:
  `SQLConstraintsPackage.getConstraint()`

Method Summary
`boolean` `isDeferrable()` Returns the value of the 'Deferrable' attribute.
`boolean` `isEnforced()` Returns the value of the 'Enforced' attribute.
`boolean` `isInitiallyDeferred()` Returns the value of the 'Initially Deferred' attribute.
`void` `setDeferrable(boolean value)` Sets the value of the '`Deferrable`' attribute.
`void` `setEnforced(boolean value)` Sets the value of the '`Enforced`' attribute.
`void` `setInitiallyDeferred(boolean value)` Sets the value of the '`Initially Deferred`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isDeferrable

    boolean isDeferrable()

  Returns the value of the 'Deferrable' attribute. If True allows you to specify when the DBMS should check the constraint for violation (statement end or transaction end). If False it will always be after statement end. Could also be named deferralMode with values DEFERRABLE and NOT DEFERRABLE.

  Returns:
    the value of the 'Deferrable' attribute.
  See Also:
    `setDeferrable(boolean)`, `SQLConstraintsPackage.getConstraint_Deferrable()`

### setDeferrable

    void setDeferrable(boolean value)

  Sets the value of the '`Deferrable`' attribute.

  Parameters:
    `value` - the new value of the 'Deferrable' attribute.
  See Also:
    `isDeferrable()`

### isInitiallyDeferred

    boolean isInitiallyDeferred()

  Returns the value of the 'Initially Deferred' attribute. The default value is `"false"`. If True isDeferrable must be True and constraint check time will be DEFERRED. If False constraint check time will be IMMEDIATE. Could also be named (initial)ConstraintCheckTime with values INITIALLY DEFERRED and INITIALLY IMMEDIATE. Default value would be INITIALLY IMMEDIATE.

  Returns:
    the value of the 'Initially Deferred' attribute.
  See Also:
    `setInitiallyDeferred(boolean)`, `SQLConstraintsPackage.getConstraint_InitiallyDeferred()`

### setInitiallyDeferred

    void setInitiallyDeferred(boolean value)

  Sets the value of the '`Initially Deferred`' attribute.

  Parameters:
    `value` - the new value of the 'Initially Deferred' attribute.
  See Also:
    `isInitiallyDeferred()`

### isEnforced

    boolean isEnforced()

  Returns the value of the 'Enforced' attribute. The default value is `"true"`.

  If the meaning of the 'Enforced' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Enforced' attribute.
  See Also:
    `setEnforced(boolean)`, `SQLConstraintsPackage.getConstraint_Enforced()`

### setEnforced

    void setEnforced(boolean value)

  Sets the value of the '`Enforced`' attribute.

  Parameters:
    `value` - the new value of the 'Enforced' attribute.
  See Also:
    `isEnforced()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.